# Uses of Interface
org.eclipse.emf.cdo.server.db.IIDHandler

Packages that use IIDHandler
Package
Description
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IIDHandler in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return IIDHandler
Modifier and Type
Method
Description
`IIDHandler`
IDBStore.`getIDHandler()`

## Uses of IIDHandler in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IIDHandler
Modifier and Type
Method
Description
`ResultSet`
IListMappingUnitSupport.`queryUnitEntries(IDBStoreAccessor accessor, IIDHandler idHandler, long timeStamp, CDOID rootID)`
`void`
IListMappingUnitSupport.`readUnitEntries(ResultSet resultSet, IIDHandler idHandler, CDOID id, org.eclipse.net4j.util.collection.MoveableList<Object> list)`